{% extends "layout.html" %}
{% block content %}
{#	<p>{{ appointment_data }}</p>#}
	<div class="row">
		<div id="user_details">
			<form method="POST" class="appointment_form" id="appointment_form" action="">
				<div class="row" id="show_doc_error" style="display: none;" align="center">
					<div class="col-sm-12 col-md-12 col-lg-12 mb-4 error">
						No Doctor's Available ! Please try again after sometime.
					</div>
				</div>
				<div class="row">
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1" for="diseases">Diseases</label>
						<select id="diseases" name="diseases" class="form-control">
							<option value="">-- Select --</option>
							{% for dis in diseases %}
								{% if appointment_data %}
									<option value="{{ dis.id }}"
										{{ 'selected' if appointment_data.Appointments.diseases_id == dis.id else '' }}>
										{{ dis.name }}
									</option>
								{% else %}
									<option value="{{ dis.id }}">{{ dis.name }}</option>
								{% endif %}

							{% endfor %}
						</select>
					</div>
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">Doctors</label>
						<select id="doctors" name="doctors" class="form-control">
							<option value="">-- Select --</option>
							{% if appointment_data %}
								{% for index in doctor_data %}
									<option value="{{ index['id'] }}"
											{{ 'selected' if appointment_data.Appointments.user_id == index['id'] else '' }}>
										{{ index['name'] }}
									</option>
								</option>
								{% endfor %}
							{% endif %}
						</select>
						<label id="doctors-error" class="error" for="doctors" style="display: none"></label>
					</div>
				</div>
				<div class="row">
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1">Datetime</label>
						<input type="datetime-local" class="form-control" value="" name="datetime" id="datetime">
					</div>
				</div>
				<div class="row">
					<div class="col-sm-12 col-md-12 col-lg-12 mb-4">
						<label class="mb-1">Description</label>
						<textarea class="form-control" id="description" name="description">{{ appointment_data.Appointments.description if appointment_data else ''}}</textarea>
					</div>
				</div>
				<div class="row">
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<input type="submit" class="btn btn-outline-primary submit" name="submit" id="submit"
						       value="Submit" {{ 'Disabled' if appointment_data.is_approved else ''}}>
						<input type="reset" class="btn btn-outline-danger info" name="reset" id="reset" value="Reset"  {{
								'Disabled' if appointment_data.is_approved else ''}}>
						<a href="{{ url_for('patient.appointments_list') }}" class="btn btn-outline-secondary">Cancel</a>
					</div>
				</div>
				<input type="hidden" id="appointment_id" name="appointment_id"
				       value="{{ appointment_data.Appointments.id if appointment_data else ''}}">
			</form>
		</div>
	</div>
{% endblock content %}
{% block jquery %}
	<script src="{{ url_for('static', filename='js/appointment.js')}}"></script>
{% endblock jquery %}